# MCS_TPrq Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_TPrq:

List of all members.

## Public Member Functions

| MCS_TPrq (unsigned tag=37, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_UserId | m_initiator
MCS_TokenId | m_tokenId

## Constructor & Destructor Documentation

MCS_TPrq::MCS_TPrq | ( | unsigned | tag = `37`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_TPrq::GetDataLength | ( |  | ) | const

PBoolean MCS_TPrq::Decode | ( | PASN_Stream & | strm | ) |

void MCS_TPrq::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_TPrq::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_TPrq::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_TPrq::Clone | ( |  | ) | const

## Member Data Documentation

MCS_UserId MCS_TPrq::m_initiator

MCS_TokenId MCS_TPrq::m_tokenId

The documentation for this class was generated from the following file:

- mcs.h